Issue 120879 - [writer001]There are additional bookmarks when open doc file contain TOC
[writer001]There are additional bookmarks when open doc file contain TOC
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: open-import
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 03:17 UTC by zong dong jun
Modified: 2013-07-12 10:55 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
sample (23.50 KB, application/msword)
2012-09-11 03:17 UTC, zong dong jun
no flags Details
patch to improve the import of "Microsoft Word TOC bookmarks" (24.85 KB, patch)
2012-11-16 15:54 UTC, Oliver-Rainer Wittmann
zheng.easyfan: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description zong dong jun 2012-09-11 03:17:00 UTC
Created attachment 79390 [details]
sample

Build:
AOO350m1(Build:9610)


Steps:
1.Open the attached sample file
2.Open navigator from "View->Navigator"

Bug:
Check bookmarks in Navigator, there are lots of bookmarks start with _toc
Comment 1 Oliver-Rainer Wittmann 2012-09-11 09:14:49 UTC
Taking over to provide a solution for this issue.
My proposal will be to import these "Microsoft Word TOC bookmarks" as Cross reference bookmarks.
Comment 2 Oliver-Rainer Wittmann 2012-11-16 13:13:37 UTC
Solution is in progress - patch will be available soon.

The solution will also recognize that existing "Microsoft Word TOC bookmarks" are not referenced. The insertion of such unreferenced "Microsoft Word TOC bookmarks" are suppressed.
Comment 3 Oliver-Rainer Wittmann 2012-11-16 15:54:30 UTC
Created attachment 79916 [details]
patch to improve the import of "Microsoft Word TOC bookmarks"
Comment 4 zhengfan 2012-11-22 10:44:46 UTC
Comment on attachment 79916 [details]
patch to improve the import of "Microsoft Word TOC bookmarks"

I agree the solution by reviewing.
Comment 5 SVN Robot 2012-11-22 12:18:52 UTC
"orw" committed SVN revision 1412516 into trunk:
#120879# - import "Microsoft Word TOC bookmarks" as cross reference bookmarks
Comment 6 Oliver-Rainer Wittmann 2012-11-22 12:59:00 UTC
patch applied on trunk
Comment 7 binguo 2012-11-28 08:26:08 UTC
Aoo_Trunk_20121123.1915 Rev.1412533, Check bookmarks in Navigator, there is only one "bookmarks" item, no bookmarks start with _toc, so this bug is fixed.
Comment 8 binguo 2012-11-28 08:26:33 UTC
close it.